NO_PERMISSION (Java SE 10 & JDK 10 )
Keywords: org.omg.CORBA.NO_PERMISSION class

Module java.corba
Package org.omg.CORBA

## Class NO_PERMISSION

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.NO_PERMISSION

- All Implemented Interfaces:
    `Serializable`

      public final class NO_PERMISSION
      extends SystemException

  Exception thrown when an invocation failed because the caller has insufficient privileges.

  It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

  See also documentation on Java IDL exceptions.

  Since:
    JDK1.2

- - ### Field Summary

    - ### Fields declared in class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NO_PERMISSION()` | Constructs a `NO_PERMISSION` exception with a default minor code of 0 and a completion state of CompletionStatus.COMPLETED_NO, and a null description.
    `NO_PERMISSION​(int minor, CompletionStatus completed)` | Constructs a `NO_PERMISSION` exception with the specified minor code and completion status.
    `NO_PERMISSION​(String s)` | Constructs a `NO_PERMISSION` exception with the specified description, a minor code of 0, and a completion state of COMPLETED_NO.
    `NO_PERMISSION​(String s, int minor, CompletionStatus completed)` | Constructs a `NO_PERMISSION` exception with the specified description message, minor code, and completion status.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in class org.omg.CORBA.SystemException

      `toString`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

- - ### Constructor Detail

    - #### NO_PERMISSION

          public NO_PERMISSION()

      Constructs a `NO_PERMISSION` exception with a default minor code of 0 and a completion state of CompletionStatus.COMPLETED_NO, and a null description.

    - #### NO_PERMISSION

          public NO_PERMISSION​(String s)

      Constructs a `NO_PERMISSION` exception with the specified description, a minor code of 0, and a completion state of COMPLETED_NO.
      Parameters:
        `s` - the String containing a description message

    - #### NO_PERMISSION

          public NO_PERMISSION​(int minor,
                               CompletionStatus completed)

      Constructs a `NO_PERMISSION` exception with the specified minor code and completion status.
      Parameters:
        `minor` - the minor code
        `completed` - the completion status

    - #### NO_PERMISSION

          public NO_PERMISSION​(String s,
                               int minor,
                               CompletionStatus completed)

      Constructs a `NO_PERMISSION` exception with the specified description message, minor code, and completion status.
      Parameters:
        `s` - the String containing a description message
        `minor` - the minor code
        `completed` - the completion status